org.apache.hc.core5.http2.frame

## Enum FrameFlag

- java.lang.Object
- - java.lang.Enum<FrameFlag>
  - - org.apache.hc.core5.http2.frame.FrameFlag

- All Implemented Interfaces:
    Serializable, Comparable<FrameFlag>

      public enum FrameFlag
      extends Enum<FrameFlag>

  Standard HTTP/2 frame flags.
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACK`
    `END_HEADERS`
    `END_STREAM`
    `PADDED`
    `PRIORITY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static int` | `of(FrameFlag... flags)`
    `static FrameFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FrameFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### END_STREAM

          public static final FrameFlag END_STREAM

    - #### ACK

          public static final FrameFlag ACK

    - #### END_HEADERS

          public static final FrameFlag END_HEADERS

    - #### PADDED

          public static final FrameFlag PADDED

    - #### PRIORITY

          public static final FrameFlag PRIORITY

  - ### Method Detail

    - #### values

          public static FrameFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FrameFlag c : FrameFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FrameFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### of

          public static int of(FrameFlag... flags)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.